Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ParticleSystem::SortByDistanceFunctor Struct Reference

Sort by distance functor. More...

`#include <OgreParticleSystem.h>`

List of all members.

## Public Member Functions
| SortByDistanceFunctor (const Vector3 &pos)
float | operator() (Particle *p) const
## Public Attributes
Vector3 | sortPos
| Position to sort in.

## Detailed Description

Sort by distance functor.

Definition at line 688 of file OgreParticleSystem.h.

## Constructor & Destructor Documentation

Ogre::ParticleSystem::SortByDistanceFunctor::SortByDistanceFunctor | ( | const Vector3 & | pos | ) |

## Member Function Documentation

float Ogre::ParticleSystem::SortByDistanceFunctor::operator() | ( | Particle * | p | ) | const

## Member Data Documentation

Vector3 Ogre::ParticleSystem::SortByDistanceFunctor::sortPos

| Position to sort in. Definition at line 691 of file OgreParticleSystem.h.

The documentation for this struct was generated from the following file:

- OgreParticleSystem.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:52:11 2007